ThreeB 1.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
storm.h File Reference

Code dealing with storm imagery (high level). More...

`#include <TooN/TooN.h>`
`#include <cvd/image.h>`
`#include <utility>`
`#include <tr1/tuple>`
`#include "utility.h"`

Go to the source code of this file.

## Functions
template<class B >
double | spot_shape_s (const TooN::Vector< 2 > &x, const TooN::Vector< 4, double, B > &phi)
template<class B >
std::pair< double, TooN::Vector< 4 > > | spot_shape_diff_position (const TooN::Vector< 2 > &x, const TooN::Vector< 4, double, B > &phi)
template<class B >
std::tr1::tuple< double, TooN::Vector < 4 >, TooN::Matrix< 4 > > | spot_shape_hess_position (const TooN::Vector< 2 > &x, const TooN::Vector< 4, double, B > &phi)
template<class B >
std::tr1::tuple< double, TooN::Vector < 2 >, TooN::Matrix< 2 > > | spot_shape_hess (const TooN::Vector< 2 > &x, const TooN::Vector< 4, double, B > &phi)
template<class B >
std::pair< double, TooN::Vector< 2 > > | spot_shape_diff (const TooN::Vector< 2 > &x, const TooN::Vector< 4, double, B > &phi)
template<class B >
double | spot_shape (const TooN::Vector< 2 > &x, const TooN::Vector< 4, double, B > &phi)
double | log_probability_no_spot (const CVD::SubImage< float > &im, double variance)
template<class Base >
std::tr1::tuple< double, TooN::Vector < 2 >, TooN::Matrix< 2 > > | log_probability_spot_hess (const CVD::SubImage< float > &im, double variance, const TooN::Vector< 4, double, Base > &spot_parameters)
template<class Base >
std::pair< double, TooN::Vector< 2 > > | log_probability_spot_diff (const CVD::SubImage< float > &im, double variance, const TooN::Vector< 4, double, Base > &spot_parameters)
template<class Base >
double | log_probability_spot (const CVD::SubImage< float > &im, double variance, const TooN::Vector< 4, double, Base > &spot_parameters)
double | log_normal_std (double mu, double sigma)
double | log_normal_mode (double mu, double sigma)
double | log_log_normal (double x, double mu, double sigma)
double | diff_log_log_normal (double x, double mu, double sigma)
double | hess_log_log_normal (double x, double mu, double sigma)

## Detailed Description

Code dealing with storm imagery (high level).

Definition in file storm.h.

## Function Documentation

double log_probability_no_spot | ( | const CVD::SubImage< float > & | im,
|  | double | variance
| ) |  | `[inline]`

Find the log probability of an image patch, assuming zero mean and the given variance, and no spot present.

See also log_probability_spot()

Parameters:

  im | Image
  variance | variance

Returns:
  The log probability

Definition at line 202 of file storm.h.

    {
        double logprob_part=0;
        for(int y=0; y < im.size().y; y++)
            for(int x=0; x < im.size().x; x++)
                logprob_part -= im[y][x] * im[y][x];
        return logprob_part/(2*variance) - im.size().area() * log(2*M_PI*variance)/2;

    }